Bug 30509 - Installer Generates error after starting formatting
Installer Generates error after starting formatting
Status: CLOSED DUPLICATE of bug 18302
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.0
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-03-03 21:23 EST by Will Adkins
Modified: 2007-04-18 12:31 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-03-03 21:23:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Adkins 2001-03-03 21:23:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.01; Windows NT 5.0)


Receive the following exceptional error shortly after it starts formatting 
drive.  Per the error message, I am submitting this is a bug.
_______________
Traceback (innermost last):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/iw/progress_gui.py", 
line 20, in run
    rc = self.todo.doInstall ()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1480, in 
doInstall
    if self.method.systemMounted (self.fstab, self.instPath, 
self.hdList.selected()):
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/image.py", line 46, in 
systemMounted
    self.loopbackFile = mntPoint + fstab.filesystemSpace(mntPoint)[0][0] + 
\
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/fstab.py", line 258, in 
filesystemSpace
    space.append((mntpoint, isys.fsSpaceAvailable(topMount + '/' + 
mntpoint)))
  File "/usr/lib/anaconda/isys.py", line 16, in fsSpaceAvailable
    return _isys.devSpaceFree(fsystem)
SystemError: (2, 'No such file or directory')

Local variables in innermost frame:
fsystem: /mnt/sysimage//win

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>


Reproducible: Always
Steps to Reproduce:
1. select custom, all components, but only on a given drive
2. 
3.
	

Actual Results:  See error message above.  The system reboots once the 
error is saved to floppy and error is acknowledged.

Expected Results:  ??  Don't know - have never been able to complete 
install but I bet this isn't quite right.
Comment 1 Michael Fulbright 2001-03-04 00:14:39 EST

*** This bug has been marked as a duplicate of 18302 ***
Comment 2 Will Adkins 2001-03-04 02:12:53 EST
This doesn't really appear to be the same issue as 18302 if the issue was too 
many CD Drives.  The system that generated this error is running Linux v7 with 
1 CD-Rom Drive and 3 hard drives for a total of 4.

Note You need to log in before you can comment on or make changes to this bug.